'* VBS Script Quicklaunch Einstellungen
'* (c) 2011 bent.schrader@googlemail.com
'* Version: 1.1

Dim WSHShell, objEnv, objReg, FQDN, objFSO, Drive, User, Windows, UserProfile, AppData
Set WSHShell = WScript.CreateObject("WScript.Shell")
Set objEnv = WshShell.Environment("Process")
Set objFSO = CreateObject("Scripting.FileSystemObject")

FQDN = Lcase(objEnv("USERDNSDOMAIN"))
Computer = Lcase(objEnv("COMPUTERNAME"))
Drive = objEnv("SYSTEMDRIVE")
Windows = objEnv("SYSTEMROOT") & "\"
AppData = objEnv("APPDATA") & "\Microsoft\Internet Explorer\Quick Launch"
User = objEnv("USERNAME")

Desktop = "\\" & FQDN & "\Netlogon\Skripte\desktop.scf"

On Error Resume Next

If objFSO.FileExists (Desktop) Then
	objFSO.CopyFile Desktop, Windows , TRUE
End If

Set objShortcut = WSHShell.CreateShortcut(AppData & "\" & "Desktop" & ".lnk")
objShortcut.TargetPath = "%SystemRoot%\desktop.scf"
objShortcut.WorkingDirectory = "%SystemRoot%"
objShortcut.Description= "Desktop anzeigen"
objShortcut.Save 

Set objShortcut = WSHShell.CreateShortcut(AppData & "\" & "Explorer" & ".lnk")
objShortcut.TargetPath = "%SystemRoot%\explorer.exe"
objShortcut.Arguments = "/e, /select, c:"
objShortcut.WorkingDirectory = "%SystemRoot%"
objShortcut.IconLocation = "%SystemRoot%\system32\SHELL32.dll, 45"
objShortcut.Description= "Windows Explorer"
objShortcut.Save 

Set objShortcut = WSHShell.CreateShortcut(AppData & "\" & "Kommandozeile" & ".lnk")
objShortcut.TargetPath = "%SystemRoot%\system32\cmd.exe"
objShortcut.WorkingDirectory = "%SystemRoot%"
objShortcut.Description= "Kommandozeile starten"
objShortcut.Save 

Set objShortcut = WSHShell.CreateShortcut(AppData & "\" & "Internet Explorer" & ".lnk")
objShortcut.TargetPath = "%programfiles%\Internet Explorer\iexplore.exe"
objShortcut.Description= "Internet Explorer starten"
objShortcut.Save 

Set objShortcut = WSHShell.CreateShortcut(AppData & "\" & "Computerverwaltung" & ".lnk")
objShortcut.TargetPath = "%SystemRoot%\system32\compmgmt.msc"
objShortcut.Arguments = "/s"
objShortcut.WorkingDirectory = "%SystemRoot%\system32\"
objShortcut.Description= "Computerverwaltung"
objShortcut.Save 

Set objShortcut = WSHShell.CreateShortcut(AppData & "\" & "Logoff" & ".lnk")
objShortcut.TargetPath = "%SystemRoot%\System32\logoff.exe"
objShortcut.WorkingDirectory = "%SystemRoot%\System32"
objShortcut.IconLocation = "%SystemRoot%\system32\SHELL32.dll, 44"
objShortcut.Description= "Abmeldung von " & Computer & "." & FQDN
objShortcut.Save 

If Err.Number <> 0 Then
	WSHShell.LogEvent 1, "Fehler bei Ausfhrung von [" & WScript.ScriptFullName & "] fr Benutzer [" & User & "@" & FQDN & "]: " _
	& "Code: " & Err.Number & ", Quelle: " & Err.Source & ", Details: " & Err.Description 'ERROR in Eventlog
Else
	WSHShell.LogEvent 0, "Erfolgreiche Ausfhrung von [" & WScript.ScriptFullName & "] fr Benutzer [" & User & "@" & FQDN & "]." 
End If	